<id>
Exp Hack - Experience Meters
</id>

<version>
1.1
</version>

<mod info>
Add graphical and textual experience meters to your YaBB, based upon the number of posts the user has towards his/her next level.

Instructions:
1) Upload empty_bar.gif, fill_bar.gif, full_bar.gif, l_bar.gif, and r_bar.gif to your YaBBImages directory.
2) Run mod.
3) If you wish to count negative numbers as non-negative, delete the #'s after the line that says "Uncomment this".
4) Upload your newly modified Load.pl and Display.pl to your Sources directory.


v1.1: Now handles negative post counts and "A whole lot".
v1.0: First version
</mod info>

<author>
Michael Rodriguez-Torrent
</author>

<homepage>
http://www.themikecam.com
</homepage>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	if($userprofile{$user}->[6] > $GodPostNum) {
</search for>

<add before>
	$posts = $userprofile{$user}->[6];

</add before>

<search for>
	if($userprofile{$user}->[6] > $GodPostNum) {
</search for>

<add after>
	    $nextlevel = $posts;
</add after>

<search for>
	elsif($userprofile{$user}->[6] > $SrPostNum) {
</search for>

<add after>
	    $posts -= $SrPostNum;
	    $nextlevel = $GodPostNum - $SrPostNum;
</add after>

<search for>
	elsif($userprofile{$user}->[6] > $FullPostNum) {
</search for>

<add after>
	    $posts -= $FullPostNum;
	    $nextlevel = $SrPostNum - $FullPostNum;
</add after>

<search for>
	elsif($userprofile{$user}->[6] > $JrPostNum) {
</search for>

<add after>
	    $posts -= $JrPostNum;
	    $nextlevel = $FullPostNum - $JrPostNum;
</add after>

<search for>
		$memberinfo{$user} = "$membergroups[2]";
</search for>

<add before>
	    $nextlevel = $JrPostNum;
</add before>

<search for>
	if($userprofile{$user}->[7] eq 'Administrator') {
</search for>

<add after>
	    # Comment this out to use a working bar for Admins.
	    $nextlevel = $posts;
</add after>

<search for>
	$yyUDLoaded{$user} = 1;
</search for>

<add before>
### Exp Hack ###
	if($posts eq $txt{'683'}) {
	    $posts = 1;
	    $nextlevel = 1;
	}
# Uncomment this to count negative posts as something other than negative.
# elsif ($posts < 0) {
#	    $posts = 0;
#	    $nextlevel = 1;
#	}

	$exp{$user} = sprintf("%.1f", $posts / $nextlevel * 100);

	if($exp{$user} == 100) { $exp{$user} = qq~<img src="$imagesdir/full_bar.gif" width="104" height="6"><br>\nGot this level beat. ;)~; } else {

	    $fill_bar = int($exp{$user});
	    if($fill_bar){$fill_bar = qq~<img src="$imagesdir/fill_bar.gif" width="$fill_bar" height="6">~;} else {$fill_bar = "";}

	    $empty_bar = 100 - $exp{$user};
	    if($empty_bar){$empty_bar = qq~<img src="$imagesdir/empty_bar.gif" width="$empty_bar" height="6">~;} else {$empty_bar = ""; }

	    $exp{$user} = qq~<img src="$imagesdir/l_bar.gif" width="2" height="6">$fill_bar$empty_bar<img src="$imagesdir/r_bar.gif" width="3" height="6"><br>\nTo level: $exp{$user}% ($posts/$nextlevel)~;
	}
	$exp{$user} .= '<!-- Experience Bar Hack by Michael (mrtorrent@yahoo.com) -->';
###/Exp Hack ###

</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
            $postinfo
</search for>

<add after>
	    <br>$exp{$musername}
</add after>